Xerces2 Implementation: Class ASDOMImplementationImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class ASDOMImplementationImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.CoreDOMImplementationImpl
            |
            +--org.apache.xerces.dom.DOMImplementationImpl
                  |
                  +--org.apache.xerces.dom.ASDOMImplementationImpl

All Implemented Interfaces:
  org.w3c.dom.DOMImplementation, org.apache.xerces.dom3.as.DOMImplementationAS, org.w3c.dom.ls.DOMImplementationLS

public class ASDOMImplementationImpl
extends DOMImplementationImpl
implements org.apache.xerces.dom3.as.DOMImplementationAS

The DOMImplementation class is description of a particular implementation of the Document Object Model. As such its data is static, shared by all instances of this implementation.

The DOM API requires that it be a real object rather than static methods. However, there's nothing that says it can't be a singleton, so that's how I've implemented it.

This particular class, along with DocumentImpl, supports the DOM Core, DOM Level 2 optional mofules, and Abstract Schemas (Experimental).

Since:
  PR-DOM-Level-1-19980818.
Version:
  $Id: ASDOMImplementationImpl.java,v 1.5 2003/07/30 10:30:35 neeraj Exp $

Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS
`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

Constructor Summary
`ASDOMImplementationImpl()` Deprecated.

Method Summary
`org.apache.xerces.dom3.as.ASModel` | `createAS(boolean isNamespaceAware)` Deprecated. DOM Level 3 WD - Experimental.
`org.apache.xerces.dom3.as.DOMASBuilder` | `createDOMASBuilder()` Deprecated. DOM Level 3 WD - Experimental.
`org.apache.xerces.dom3.as.DOMASWriter` | `createDOMASWriter()` Deprecated. DOM Level 3 WD - Experimental.
`static org.w3c.dom.DOMImplementation` | `getDOMImplementation()` Deprecated. NON-DOM: Obtain and return the single shared object

Methods inherited from class org.apache.xerces.dom.DOMImplementationImpl
`createDocument, hasFeature`

Methods inherited from class org.apache.xerces.dom.CoreDOMImplementationImpl
`assignDocTypeNumber, assignDocumentNumber, createDocumentType, createLSInput, createLSOutput, createLSParser, createLSSerializer, getFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocumentType`

Constructor Detail

### ASDOMImplementationImpl

    public ASDOMImplementationImpl()

  Deprecated.

Method Detail

### getDOMImplementation

    public static org.w3c.dom.DOMImplementation getDOMImplementation()

  Deprecated.
  NON-DOM: Obtain and return the single shared object

### createAS

    public org.apache.xerces.dom3.as.ASModel createAS(boolean isNamespaceAware)

  Deprecated.
  DOM Level 3 WD - Experimental. Creates an ASModel.
  Specified by:
    `createAS` in interface `org.apache.xerces.dom3.as.DOMImplementationAS`
  Parameters:
    `isNamespaceAware` - Allow creation of `ASModel` with this attribute set to a specific value.
  Returns:
    A `null` return indicates failure.what is a failure? Could be a system error.

### createDOMASBuilder

    public org.apache.xerces.dom3.as.DOMASBuilder createDOMASBuilder()

  Deprecated.
  DOM Level 3 WD - Experimental. Creates an `DOMASBuilder`.Do we need the method since we already have `DOMImplementationLS.createDOMParser`?
  Specified by:
    `createDOMASBuilder` in interface `org.apache.xerces.dom3.as.DOMImplementationAS`
  Returns:
    DOMASBuilder

### createDOMASWriter

    public org.apache.xerces.dom3.as.DOMASWriter createDOMASWriter()

  Deprecated.
  DOM Level 3 WD - Experimental. Creates an `DOMASWriter`.
  Specified by:
    `createDOMASWriter` in interface `org.apache.xerces.dom3.as.DOMImplementationAS`
  Returns:
    a DOMASWriter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.